[GE issues] [Issue 2924] New - DrmaaSuite.java imports are too broad.

opoplawski orion at cora.nwra.com
Thu Feb 19 23:32:18 GMT 2009


http://gridengine.sunsource.net/issues/show_bug.cgi?id=2924
                 Issue #|2924
                 Summary|DrmaaSuite.java imports are too broad.
               Component|gridengine
                 Version|6.2u1
                Platform|All
                     URL|
              OS/Version|All
                  Status|NEW
       Status whiteboard|
                Keywords|
              Resolution|
              Issue type|DEFECT
                Priority|P3
            Subcomponent|drmaa
             Assigned to|dagru
             Reported by|opoplawski






------- Additional comments from opoplawski at sunsource.net Thu Feb 19 15:32:17 -0800 2009 -------
gridengine/source/libs/jdrmaa/test/DrmaaSuite.java should import only the
classes it needs:

-import junit.framework.*;
+import junit.framework.TestSuite;
+import junit.framework.TestCase;
+import junit.framework.Test;

to avoid importing similarly named classes with no package hierarchy.  This is
happening on Fedora 10 - importing the Test class from rhino.

Compile errror is:

     [java]     [javac] 
/builddir/build/BUILD/gridengine/source/libs/jdrmaa/test/DrmaaSuite.java:25: 
incompatible types
     [java]     [javac] found   : junit.framework.TestSuite
     [java]     [javac] required: Test
     [java]     [javac]       return suite;
     [java]     [javac]              ^
     [java]     [javac] 1 error

The above change fixes it.

------------------------------------------------------
http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=36&dsMessageId=110108

To unsubscribe from this discussion, e-mail: [issues-unsubscribe at gridengine.sunsource.net].



More information about the gridengine-users mailing list